TestDependencyTable (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.TestDependencyTable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TestDependencyTable

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.TestXMLConsumer
                  net.sf.antcontrib.cpptasks.TestDependencyTable

All Implemented Interfaces:
  junit.framework.Test

    public class TestDependencyTable

extends TestXMLConsumer

DependencyTable tests

Author:
  curta

Constructor Summary
`TestDependencyTable(java.lang.String testName)` Constructor

Method Summary
`void` | `testLoadOpenshore()` Loads a dependency file from OpenSHORE (http://www.openshore.org)
`void` | `testLoadXerces()` Loads a dependency file from Xerces-C (http://xml.apache.org)

Methods inherited from class net.sf.antcontrib.cpptasks.TestXMLConsumer
`copyResourceToTmpDir, deleteTmpFile`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDependencyTable

    public TestDependencyTable(java.lang.String testName)

  Constructor

  Parameters:
    `testName` - test name

Method Detail

### testLoadOpenshore

    public void testLoadOpenshore()
                           throws java.io.IOException,
                                  javax.xml.parsers.ParserConfigurationException,
                                  org.xml.sax.SAXException

  Loads a dependency file from OpenSHORE (http://www.openshore.org)

  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### testLoadXerces

    public void testLoadXerces()
                        throws java.io.IOException,
                               javax.xml.parsers.ParserConfigurationException,
                               org.xml.sax.SAXException

  Loads a dependency file from Xerces-C (http://xml.apache.org)

  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.